Trigger a managed-agent run
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/agents/{agentKey}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestIdempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"modelId": "<string>"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agents/{agentKey}/runs"
payload = {
"requestIdempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"modelId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestIdempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instructions: '<string>',
modelId: '<string>'
})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agents/{agentKey}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attribution": {
"apiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "api_key"
},
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Trigger a managed-agent run
Queues or reuses a manual run through the existing flag, credit metering, model-catalog, idempotency, and autonomy controls. This endpoint has a stricter rate limit than read endpoints.
POST
/
projects
/
{projectId}
/
agents
/
{agentKey}
/
runs
Trigger a managed-agent run
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Body
application/json
⌘I